Show / Hide Table of Contents

# Class Npc

This class represents a NPC.

##### Inheritance

System.Object
GameObject
Character
Npc

##### Implements

System.IEquatable<GameObject>

##### Inherited Members

Character.CurrentHp
Character.MaxHp
Character.CurrentMp
Character.MaxMp
Character.CurrentGp
Character.MaxGp
Character.CurrentCp
Character.MaxCp
Character.ClassJob
Character.Level
Character.Customize
Character.CompanyTag
Character.TargetObjectId
Character.NameId
Character.OnlineStatus
Character.StatusFlags
Character.Struct
GameObject.InvalidGameObjectId
GameObject.Address
GameObject.IsValid(GameObject)
GameObject.IsValid()
GameObject.IEquatable<GameObject>.Equals(GameObject)
GameObject.Equals(Object)
GameObject.GetHashCode()
GameObject.Name
GameObject.ObjectId
GameObject.DataId
GameObject.OwnerId
GameObject.ObjectKind
GameObject.SubKind
GameObject.YalmDistanceX
GameObject.YalmDistanceZ
GameObject.Position
GameObject.Rotation
GameObject.HitboxRadius
GameObject.TargetObject
GameObject.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.ClientState.Objects.SubKinds

###### Assembly: Dalamud.dll

##### Syntax

    public class Npc : Character, IEquatable<GameObject>

### Implements

System.IEquatable<T>